Atualizar contato
Este endpoint atualiza os dados de um contato existente identificado pelo id.
PUT
/Contact/{id}Este endpoint atualiza os dados de um contato existente identificado pelo id.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
id | path | integer · int32 | Sim | — | — |
Corpo da requisição
Content type: application/json · Schema: ContactDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
firstName | string | Não | — | aceita null |
lastName | string | Não | — | aceita null |
fullName | string | Não | — | aceita null |
linkedInUrl | string | Não | — | aceita null |
title | string | Não | — | aceita null |
companyName | string | Não | — | aceita null |
accountId | integer · int32 | Não | — | — |
preferredUserId | integer · int32 | Não | — | — |
enabled | boolean | Não | — | — |
externalId | string | Não | — | aceita null |
primaryEmail | string | Não | — | aceita null |
primaryPhone | string | Não | — | aceita null |
Exemplo de requisição
curl --request PUT \
--url 'https://api.zild.ai/Contact/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"firstName": "string",
"lastName": "string",
"fullName": "string",
"linkedInUrl": "string",
"title": "string",
"companyName": "string",
"accountId": 0,
"preferredUserId": 0,
"enabled": true,
"externalId": "string",
"primaryEmail": "string",
"primaryPhone": "string"
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Contato atualizado com sucesso | Nenhum corpo de resposta está definido. |
Modelos de dados
ContactDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
firstName | string | Não | — | aceita null |
lastName | string | Não | — | aceita null |
fullName | string | Não | — | aceita null |
linkedInUrl | string | Não | — | aceita null |
title | string | Não | — | aceita null |
companyName | string | Não | — | aceita null |
accountId | integer · int32 | Não | — | — |
preferredUserId | integer · int32 | Não | — | — |
enabled | boolean | Não | — | — |
externalId | string | Não | — | aceita null |
primaryEmail | string | Não | — | aceita null |
primaryPhone | string | Não | — | aceita null |